# All Classes

All Classes Interface Summary Class Summary
Constants
ExecuteContext: Provides context for `ExecuteTask`s.
ExecuteManager: Manages `ExecuteTask`s for a project.
ExecuteManagerImpl: Default implementation of the `ExecuteManager` component.
ExecuteTask: Represents a language specific task to be executed.
ExecuteTaskSupport: Support for `ExecuteTask` implementations.
Mapping: Provides a mapping to polyglot specific models.
MappingSupport: Support for `Mapping` implementations.
ModelReaderSupport: Support for `ModelReader` implementations.
ModelWriterSupport: Support for `ModelWriter` implementations.
PolyglotModelManager: Manages the mapping for polyglot model support.
PolyglotModelUtil: Support for models.
PolyglotPropertiesEnhancer
TeslaModelProcessor: Polyglot model processor.
TeslaModelTranslator: Translates between polyglot model formats.
TeslaProjectBuilder
TeslaTranslatorCli
XmlMapping: Xml model mapping.